## qttools-opensource-src 5.0.2

=== tests/auto/cmake/CMakeLists.txt ===

# This is an automatic test for the CMake configuration files.
# To run it,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) cmake ..      # Run cmake on this directory.
# 4) ctest         # Run ctest
#
# The expected output is something like:
#
#     Start 1: test_translation_macros
# 1/2 Test #1: test_translation_macros ..........   Passed    0.98 sec
#     Start 2: test_modules
# 2/2 Test #2: test_modules .....................   Passed    1.41 sec
#
# Note that if Qt is not installed, or if it is installed to a
# non-standard prefix, the environment variable CMAKE_PREFIX_PATH
# needs to be set to the installation prefix or build prefix of Qt
# before running these tests.


cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

if(NOT CMAKE_CROSSCOMPILING)
    expect_pass(test_translation_macros)
endif()

find_package(Qt5Widgets)
if (Qt5Widgets_FOUND)
    set(Qt5_MODULE_TEST_DEPENDS Xml Widgets)

    test_module_includes(
      Designer QFormBuilder
      Help QHelpSearchQuery
      UiTools QUiLoader
    )

endif()

=== tests/auto/cmake/test_translation_macros/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_translation_macros)

find_package(Qt5Core REQUIRED)
find_package(Qt5LinguistTools REQUIRED)

include_directories(
  ${Qt5Core_INCLUDE_DIRS}
)

add_definitions(${Qt5Core_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

set(my_srcs myi18nobject.cpp)

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/some_dir")

qt5_create_translation(qm_files ${my_srcs} myobject_de.ts)

add_executable(myobject ${my_srcs} ${qm_files})
target_link_libraries(myobject ${Qt5Core_LIBRARIES})

## qttools-opensource-src 5.0.1

=== debian/changelog ===
qttools-opensource-src (5.0.1-0ubuntu2) raring; urgency=low

  * Fix pkgconfig Libs.private path (LP: #1125156)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 14 Feb 2013 14:58:25 +0000

qttools-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * Initial release.
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 08:38:57 +0000

=== debian/control ===
Source: qttools-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               qt5-default,
               qtbase5-private-dev (>= 5.0.1~),
               zlib1g-dev,
Standards-Version: 3.9.4
Homepage: http://qt-project.org/

Package: libqt5clucene5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 CLucene module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes the CLucene module. CLucene is a high-performance, 
 scalable indexing and searching API.

Package: libqt5designer5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Designer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner module provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt5designercomponents5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Designer components module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 5 Designer module.

Package: libqt5help5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 help module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp module provides classes for integrating online documentation in
 applications.

Package: qttools5-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5clucene5 (= ${binary:Version}),
         libqt5designer5 (= ${binary:Version}),
         libqt5designercomponents5 (= ${binary:Version}),
         libqt5help5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 tools development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.

Package: qttools5-private-dev
Architecture: any
Section: libdevel
Depends: qttools5-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 tools private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qttools5-dev-tools
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the complete Qt 5 API documentation (new help format).
 .
 The documentation is provided in the new help format and manpage format;
 the new help format version can be viewed in conjunction with the Qt Assistant
 found in the qt5-dev-tools package.

Package: qttools5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples of the Qt 5 tools module.

Package: qttools5-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: libqt5clucene5 (= ${binary:Version}),
         libqt5designer5 (= ${binary:Version}),
         libqt5designercomponents5 (= ${binary:Version}),
         libqt5help5 (= ${binary:Version}),
         qttools5-dev-tools (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 tools debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 tools and tools
 libraries.

Package: qttools5-examples-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: qttools5-examples (= ${binary:Version}),
         qttools5-dbg (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 tools examples debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 tools examples.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with pkgkde_symbolshelper --list-missing --parallel

override_dh_auto_configure:
	qmake 

override_dh_strip:
	dh_strip -pqttools5-examples --dbg-package=qttools5-examples-dbg
	dh_strip --remaining-packages --dbg-package=qttools5-dbg

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qttools-opensource-src-([^-]*)\.tar.xz

## qttools-opensource-src 5.0.2

=== debian/changelog ===
qttools-opensource-src (5.0.2-7ubuntu1) saucy; urgency=low

  * Merge with Debian packaging Git, remaining changes:
    - maintainer and Vcs-Bzr
    - Replaces: to manage the change to qdbus-qt5 package
    - Updated symbols

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 21 Jun 2013 15:41:30 +0400

qttools-opensource-src (5.0.2-7) experimental; urgency=low

  * Make every package that ships a binary managed by qtchooser depend on it.
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Confirm amd64 symbols with new compiler.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 18:37:49 -0300

qttools-opensource-src (5.0.2-6ubuntu2) saucy; urgency=low

  * Update debian/libqt5clucene5.symbols for powerpc on Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 May 2013 22:16:33 -0600

qttools-opensource-src (5.0.2-6ubuntu1) saucy; urgency=low

  * Resync with Debian, remaining changes:
    - maintainer and Vcs-Bzr
    - Replaces: to manage the change to qdbus-qt5 package
    - Updated symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 01 May 2013 15:23:58 -0700

qttools-opensource-src (5.0.2-6) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols files.
  * Make qttools5-dev-tools recommend libqt5sql5-sqlite (for assistant).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with amd64 build. Three symbols dissapeared, but the
    code hasn't changed and their where amd64-only symbols, so it seems safe.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 18 May 2013 22:38:04 -0300

qttools-opensource-src (5.0.2-5) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 May 2013 15:54:35 -0300

qttools-opensource-src (5.0.2-4) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files for armhf, ia64 and ppc64.

  [ Timo Jyrinki ]
  * Fix wrong paths in pkgconfig

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 May 2013 15:54:42 -0300

qttools-opensource-src (5.0.2-3) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Use correct (and canonical) Vcs fields.

  [ Pino Toscano ]
  * debian/control: remove unused ${misc:Pre-Depends} from qttools5-dev-tools.
  * debian/control: make qttools5-dev depend on qtbase5-dev.
  * Update symbols files.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update amd64 symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 28 Apr 2013 23:41:12 -0300

qttools-opensource-src (5.0.2-2) experimental; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols files for i386, ia64 and powerpc.

  [ Pino Toscano ]
  * Fix build on Hurd; patch hurd-path_max.diff.
  * debian/control: remove unused ${misc:Pre-Depends} from qdbus-qt5,
    qttools5-dev, qttools5-private-dev, qttools5-dbg and qttools5-examples-dbg.
  * debian/qttools5-private-dev.install: use wildcards instead of the version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Apr 2013 18:10:15 -0300

qttools-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 20 Apr 2013 23:25:12 -0300

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,15 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.1~),
+               qtbase5-private-dev (>= 5.0.2~),
                zlib1g-dev,
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.0.2~),
+                     qttools5-dev-tools (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qttools.git
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qttools-opensource-src
 
 Package: libqt5clucene5
 Architecture: any
@@ -35,7 +39,7 @@
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 Designer module
+Description: Qt 5 designer module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -54,6 +58,18 @@
  .
  This package includes components for the Qt 5 Designer module.
 
+Package: qdbus-qt5
+Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Replaces: qttools5-dev-tools (<= 5.0.2~)
+Description: Qt 5 D-Bus tool
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains qdbus, a command-line tool interface to D-Bus that uses
+ the QtDBus library.
+
 Package: libqt5help5
 Architecture: any
 Multi-Arch: same
@@ -69,11 +85,12 @@
 Package: qttools5-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5clucene5 (= ${binary:Version}),
          libqt5designer5 (= ${binary:Version}),
          libqt5designercomponents5 (= ${binary:Version}),
          libqt5help5 (= ${binary:Version}),
+         qtbase5-dev,
          ${misc:Depends}
 Description: Qt 5 tools development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -85,6 +102,7 @@
 Package: qttools5-private-dev
 Architecture: any
 Section: libdevel
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qttools5-dev (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt 5 tools private development files
@@ -98,7 +116,9 @@
 Package: qttools5-dev-tools
 Architecture: any
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
+Recommends: libqt5sql5-sqlite
 Description: Qt 5 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -125,7 +145,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5clucene5 (= ${binary:Version}),
          libqt5designer5 (= ${binary:Version}),
          libqt5designercomponents5 (= ${binary:Version}),
@@ -143,7 +163,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qttools5-examples (= ${binary:Version}),
          qttools5-dbg (= ${binary:Version}),
          ${misc:Depends}
@@ -152,3 +172,27 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the debugging symbols for the Qt 5 tools examples.
+
+Package: qttools5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 tools documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 tools libraries
+ and binaries.
+
+Package: qttools5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 tools HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 XML tools
+ libraries and binaries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --parallel

# We override qmake until https://bugreports.qt-project.org/browse/QTBUG-30735
# gets solved (FTBFS with -nocache).
override_dh_auto_configure:
	qmake 

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not heasitate to tell us.
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip -pqttools5-examples --dbg-package=qttools5-examples-dbg
	dh_strip --remaining-packages --dbg-package=qttools5-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qttools-opensource-src-([^-]*)\.tar.xz

## qttools-opensource-src 5.2.0

=== debian/changelog ===
qttools-opensource-src (5.2.0-6) experimental; urgency=medium

  * Update symbols files to fix build failure on armel, armhf and s390x.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 09 Jan 2014 17:56:04 +0400

qttools-opensource-src (5.2.0-5) experimental; urgency=medium

  * Update symbols files with buildd's logs.
  * Update Standards-Version to 3.9.5, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 04 Jan 2014 16:41:46 -0300

qttools-opensource-src (5.2.0-4) experimental; urgency=medium

  * Update symbols files again. All differences seems to come from sparc, ia64
    and powerpc having an older gcc.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Dec 2013 14:31:28 -0300

qttools-opensource-src (5.2.0-3) experimental; urgency=low

  [ Pino Toscano ]
  * Install the private qmake stuff in qttools5-private-dev, not in
    qttools5-dev.
  * Simplify qttools5-examples.install.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Dec 2013 12:13:08 -0300

qttools-opensource-src (5.2.0-2) experimental; urgency=low

  * Adjust Qt build dependencies to 5.2.0+dfsg~, or it picks the beta versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Dec 2013 23:42:13 -0300

qttools-opensource-src (5.2.0-1) experimental; urgency=low

  * New upstream release.
  * Change the section of qdbus-qt5 to utils (Closes: #730141).
  * Update symbols files:
    - with buildds' logs.
    - with current build. Deeleted symbols where all added in beta1.
  * Update install files.
  * Adjust Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Dec 2013 21:27:23 -0300

qttools-opensource-src (5.2.0~beta1-2) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Update libqt5designer5.symbols for armhf, ia64, powerpc, s390* and sparc.
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Nov 2013 19:20:36 -0300

qttools-opensource-src (5.2.0~beta1-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream beta release.
  * Update qtbase build-dependencies to 5.2.0.
  * Remove .qmake.cache in clean target.
  * Update .install files for new upstream release.
  * Update libqt5designer5.symbols.
  * Add copyright info for qtpaths to debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 12 Nov 2013 13:27:17 -0300

qttools-opensource-src (5.1.1-2) unstable; urgency=low

  * Add README.source explaining how to bootstrap this package.
  * Call 'make qmake_all' after building qttools, this way we can build the
    arch-independent stuff without the need to recursively build-depend on us.
    Thanks Александр Волков from Astra Linux for the tip.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Oct 2013 11:03:48 -0300

qttools-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
    - Update build dependencies versions.
  * Update symbols files from previous builds.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 16:00:20 -0300

qttools-opensource-src (5.1.0-3) unstable; urgency=low

  [ Pino Toscano ]
  * Update symbols files. (try to address #719339)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 12 Aug 2013 13:18:21 -0300

qttools-opensource-src (5.1.0-2) unstable; urgency=low

  * Updload to unstable.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Aug 2013 14:13:12 -0300

qttools-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump Qt5 build dependencies to 5.1.0.
  * Update install files.
  * Update symbols files.
  * Fix the description of qttools5-dev-tools.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 09 Jul 2013 18:34:42 -0300

qttools-opensource-src (5.0.2-9) experimental; urgency=low

  * Manually mark some symbols as optional, gcc internal. They seem to be
    constructors generated by gcc which appear and dissapear causing random
    FTBFSs.
  * Update symbols files with build logs from other archs.
  * Make qttools5-dbg package M-A same. As a trade off of a muliple-binary
    debug package, remove the dependency on qttools5-dev-tools which is not
    M-A same.
  * Make qttools5-examples-dbg also M-A same, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 27 Jun 2013 12:12:37 -0300

qttools-opensource-src (5.0.2-8) experimental; urgency=low

  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Jun 2013 12:10:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,41 @@
 Source: qttools-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9),
+               libqt5sql5-sqlite (>= 5.2.0+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.0.2~),
-               zlib1g-dev,
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.0.2~),
-                     qttools5-dev-tools (>= 5.0.2~)
-Standards-Version: 3.9.4
+               qtbase5-private-dev (>= 5.2.0+dfsg~),
+               zlib1g-dev
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qttools.git
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qttools-opensource-src
 
 Package: libqt5clucene5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 CLucene module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package includes the CLucene module. CLucene is a high-performance, 
+ This package includes the CLucene module. CLucene is a high-performance,
  scalable indexing and searching API.
 
 Package: libqt5designer5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 designer module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -50,7 +48,7 @@
 Package: libqt5designercomponents5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Designer components module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -60,9 +58,8 @@
 
 Package: qdbus-qt5
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
+Section: utils
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
-Replaces: qttools5-dev-tools (<= 5.0.2~)
 Description: Qt 5 D-Bus tool
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -73,7 +70,7 @@
 Package: libqt5help5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 help module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -85,7 +82,6 @@
 Package: qttools5-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5clucene5 (= ${binary:Version}),
          libqt5designer5 (= ${binary:Version}),
          libqt5designercomponents5 (= ${binary:Version}),
@@ -102,9 +98,9 @@
 Package: qttools5-private-dev
 Architecture: any
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: qttools5-dev (= ${binary:Version}),
-         ${misc:Depends}
+Depends: qttools5-dev (= ${binary:Version}), ${misc:Depends}
+Breaks: qttools5-dev (<< 5.2.0-3~)
+Replaces: qttools5-dev (<< 5.2.0-3~)
 Description: Qt 5 tools private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -116,24 +112,21 @@
 Package: qttools5-dev-tools
 Architecture: any
 Section: devel
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5sql5-sqlite
 Description: Qt 5 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the complete Qt 5 API documentation (new help format).
- .
- The documentation is provided in the new help format and manpage format;
- the new help format version can be viewed in conjunction with the Qt Assistant
- found in the qt5-dev-tools package.
+ This package contains a set of applications to browse the documentation,
+ translate applications, generate help files and other stuff that
+ helps in Qt development.
 
 Package: qttools5-examples
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 tools examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -143,14 +136,13 @@
 
 Package: qttools5-dbg
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5clucene5 (= ${binary:Version}),
          libqt5designer5 (= ${binary:Version}),
          libqt5designercomponents5 (= ${binary:Version}),
          libqt5help5 (= ${binary:Version}),
-         qttools5-dev-tools (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt 5 tools debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -161,11 +153,11 @@
 
 Package: qttools5-examples-dbg
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Section: debug
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: qttools5-examples (= ${binary:Version}),
-         qttools5-dbg (= ${binary:Version}),
+Depends: qttools5-dbg (= ${binary:Version}),
+         qttools5-examples (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt 5 tools examples debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,16 @@
 override_dh_auto_configure:
 	qmake 
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -fv .qmake.cache
+
 override_dh_auto_build-arch:
 	# This override may seem futile, but it helps us make sure that the tools
 	# needed for building the docs are built before calling them.
 	# If there's a better way, do not heasitate to tell us.
 	dh_auto_build
+	make qmake_all
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs

## qttools-opensource-src 5.2.1

=== tests/auto/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -33,10 +33,7 @@
     expect_pass(test_translation_macros)
 endif()
 
-find_package(Qt5Widgets)
-if (Qt5Widgets_FOUND)
-    set(Qt5_MODULE_TEST_DEPENDS Xml Widgets)
-
+if (NOT NO_WIDGETS)
     test_module_includes(
       Designer QFormBuilder
       Help QHelpSearchQuery

=== debian/changelog ===
qttools-opensource-src (5.2.1-8build1) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 03:56:16 -0300

qttools-opensource-src (5.2.1-8) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Simplify libqt5designercomponents5.symbols a bit more.
  * Update copyright files for all external docs, not just for qtbase.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:00:57 -0300

qttools-opensource-src (5.2.1-7) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildd's logs.
  * Apply fix_path_to_lrelease.patch to fix the path of lrelease in CMake files
    (Closes: #738196).
  * Simplify list of archs in symbols files: only mark sparc when suitable.

  [ Dmitry Shachnev ]
  * Update symbols files to support arm64 and ppc64el.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Mar 2014 12:04:18 -0300

qttools-opensource-src (5.2.1-6) experimental; urgency=medium

  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Feb 2014 16:28:28 -0300

qttools-opensource-src (5.2.1-5) experimental; urgency=medium

  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Feb 2014 22:35:01 -0300

qttools-opensource-src (5.2.1-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update debian/libqt5designer5.symbols from buildds’ logs.
  * Build qtxmlpatterns5-doc package from this source.
    This should finally solve the dependency loop problem.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 13 Feb 2014 11:35:20 -0300

qttools-opensource-src (5.2.1-3) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Set version number to 5.2.1-3 to correctly handle upgrades
    for qtdeclarative5-doc package.
  * Build qtdeclarative5-doc package from this source.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildd's and current logs.
  * Add qtdeclarative5-private-dev to build lrelease with qml support
    (Closes: #738617).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 11 Feb 2014 15:59:24 -0300

qttools-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies to 5.2.1.
  * No symbols changes since last upload.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Feb 2014 16:22:41 -0300

qttools-opensource-src (5.2.0-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Update symbols files. (Closes: #737358)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 02 Feb 2014 10:46:48 -0300

qttools-opensource-src (5.2.0-8) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Update symbols files with buildd's logs.
  * Move mkspec files to their new location.
    - B-D on qtbase 5.2.0+dfsg-7~, which introduces the new location.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 13:29:52 -0300

qttools-opensource-src (5.2.0-7) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Correct qttools5-doc-html package description: these are not XML
    tools.
  * Build qtbase5-doc in this source package, based on HTML files from
    qtbase5-doc-html package.

  [ Sune Vuorela ]
  * Update description of the dev tools package to mention some of the
    tools available in there.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 19 Jan 2014 11:41:42 -0300

qttools-opensource-src (5.1.1-3) UNRELEASED; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add cmake as a build dependency, it's used to run some tests against the
    generated CMake files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Oct 2013 11:57:28 -0300

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,14 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.2.0+dfsg~),
+               libqt5sql5-sqlite (>= 5.2.1+dfsg-1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.0+dfsg~),
+               qtbase5-private-dev (>= 5.2.1+dfsg-1~),
+               qtdeclarative5-private-dev (>= 5.2.1~),
                zlib1g-dev
+Build-Depends-Indep: qtbase5-doc-html,
+                     qtdeclarative5-doc-html,
+                     qtxmlpatterns5-doc-html
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
@@ -120,7 +124,12 @@
  .
  This package contains a set of applications to browse the documentation,
  translate applications, generate help files and other stuff that
- helps in Qt development.
+ helps in Qt development. These tools are among others:
+  * assistant
+  * designer
+  * linguist
+  * pixeltool
+  * qdbusviewer
 
 Package: qttools5-examples
 Architecture: any
@@ -165,6 +174,28 @@
  .
  This package contains the debugging symbols for the Qt 5 tools examples.
 
+Package: qtbase5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 base documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 base libraries.
+
+Package: qtdeclarative5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 declarative documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 declarative libraries.
+
 Package: qttools5-doc
 Priority: extra
 Architecture: all
@@ -186,5 +217,17 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the HTML documentation for the Qt 5 XML tools
+ This package contains the HTML documentation for the Qt 5 tools
  libraries and binaries.
+
+Package: qtxmlpatterns5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 XML patterns documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 XML patterns
+ libraries.

=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,27 @@
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	set -ex; for subdir in qdoc qmake qtconcurrent qtcore qtdbus qtgui qtnetwork \
+	                       qtopengl qtprintsupport qtsql qttestlib qtwidgets qtxml \
+	                       qtqml qtquick qtquickdialogs qtxmlpatterns; do \
+		LD_LIBRARY_PATH=$(CURDIR)/lib $(CURDIR)/bin/qhelpgenerator \
+			/usr/share/qt5/doc/$$subdir/$$subdir.qhp -o \
+			$(CURDIR)/debian/tmp/usr/share/qt5/doc/$$subdir.qch; \
+	done
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_installdocs-indep:
+	dh_installdocs -i
+	# Use the correct copyright in external -doc packages
+	for source in qtbase5 qtdeclarative5 qtxmlpatterns5; do \
+		rm -v debian/$$source-doc/usr/share/doc/$$source-doc/copyright; \
+		cp /usr/share/doc/$$source-doc-html/copyright \
+			debian/$$source-doc/usr/share/doc/$$source-doc/; \
+	done
+	cp /usr/share/doc/qtbase5-doc-html/LGPL_EXCEPTION.txt \
+		debian/qtbase5-doc/usr/share/doc/qtbase5-doc/
 
 override_dh_strip:
 	dh_strip -pqttools5-examples --dbg-package=qttools5-examples-dbg

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qttools-opensource-src-([^-]*)\.tar.xz

## qttools-opensource-src 5.3.0

=== debian/changelog ===
qttools-opensource-src (5.3.0-5) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Jun 2014 11:05:48 -0300

qttools-opensource-src (5.3.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make qtwebkit build-dependency versioned.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' and current logs (Closes: #746903).
  * Install designer plugins alongside designer itself and not with the
    examples (Closes: #749336).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 20 Jun 2014 21:29:30 -0300

qttools-opensource-src (5.3.0-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 08 Jun 2014 22:58:46 -0300

qttools-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' and current logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 13:09:41 -0300

qttools-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Don't force dh_builddeb to use xz compression: it's already the default.
  * Build against qtwebkit to fix assistant (Closes: #742396):
    - Build qtwebkit5-doc and qtscript5-doc from this source, thus allowing us
      to avoid a circular dependency.
    - Build depend upon libqt5webkit5-dev.
  * Install headers into their new multi-arch path. Mark the development
    packages as Multi-Arch: same.
  * Bump Qt build dependencies.
  * Remove fix_path_to_lrelease.patch, applied upstream.
  * Require qtdeclarative >= 5.3.0-3~, it includes a fix in the development
    package that we need.
  * QuickDialogs are not part of Declarative anymore, so we don't build it's
    documentation.
  * Modify install files to install new files in this version.
  * Build depend upon libqt5opengl5-dev (>= 5.3.0+dfsg~), we need to link
    against it.
  * Update symbols files with current build log.
  * Update copyright file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 May 2014 14:37:00 -0300

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,18 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9),
-               libqt5sql5-sqlite (>= 5.2.1+dfsg-1~),
+               libqt5opengl5-dev (>= 5.3.0+dfsg~),
+               libqt5sql5-sqlite (>= 5.3.0+dfsg~),
+               libqt5webkit5-dev (>= 5.3.0+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.1+dfsg-1~),
-               qtdeclarative5-private-dev (>= 5.2.1~),
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.0-3~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html,
-                     qtdeclarative5-doc-html,
-                     qtxmlpatterns5-doc-html
+Build-Depends-Indep: qtbase5-doc-html (>= 5.3.0+dfsg~),
+                     qtdeclarative5-doc-html (>= 5.3.0~),
+                     qtscript5-doc-html (>= 5.3.0~),
+                     qtwebkit5-doc-html (>= 5.3.0+dfsg~),
+                     qtxmlpatterns5-doc-html (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
@@ -85,6 +89,7 @@
 
 Package: qttools5-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libqt5clucene5 (= ${binary:Version}),
          libqt5designer5 (= ${binary:Version}),
@@ -101,6 +106,7 @@
 
 Package: qttools5-private-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: qttools5-dev (= ${binary:Version}), ${misc:Depends}
 Breaks: qttools5-dev (<< 5.2.0-3~)
@@ -118,6 +124,8 @@
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5sql5-sqlite
+Breaks: qttools5-examples (<< 5.3.0-4~)
+Replaces: qttools5-examples (<< 5.3.0-4~)
 Description: Qt 5 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -196,6 +204,17 @@
  .
  This package contains the documentation for the Qt 5 declarative libraries.
 
+Package: qtscript5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 script documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 script libraries.
+
 Package: qttools5-doc
 Priority: extra
 Architecture: all
@@ -231,3 +250,14 @@
  .
  This package contains the documentation for the Qt 5 XML patterns
  libraries.
+
+Package: qtwebkit5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 webkit documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 webkit libraries.
